/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SVGIcon } from "@progress/kendo-angular-icons";
/**
 * Used to customize the DropDownButton arrow icon.
 */
export interface ArrowIconSettings {
    /**
     * The Kendo font icon to replace the default arrow down icon.
     */
    icon?: string;
    /**
     * The custom font icon class to replace the default arrow down icon.
     */
    iconClass?: string;
    /**
     * The SVG icon to replace the default arrow down SVG icon.
     */
    svgIcon?: SVGIcon;
}
