/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ButtonComponent } from './button/button.component';
import { ButtonGroupComponent } from './buttongroup/buttongroup.component';
import { ChipListComponent } from './chip/chip-list.component';
import { ChipComponent } from './chip/chip.component';
import { DropDownButtonComponent } from './dropdownbutton/dropdownbutton.component';
import { FloatingActionButtonComponent } from './floatingactionbutton/floatingactionbutton.component';
import { DialItemTemplateDirective } from './floatingactionbutton/templates/dial-item-template.directive';
import { FloatingActionButtonTemplateDirective } from './floatingactionbutton/templates/fab-template.directive';
import { SplitButtonCustomMessagesComponent } from './splitbutton/localization/custom-messages.component';
import { SplitButtonComponent } from './splitbutton/splitbutton.component';
import { ButtonItemTemplateDirective } from './listbutton/button-item-template.directive';
import { ToggleButtonTabStopDirective } from '@progress/kendo-angular-common';
/**
 * Utility array that contains all `Button` related components and directives
 */
export declare const KENDO_BUTTON: readonly [typeof ButtonComponent];
/**
 * Utility array that contains all `ButtonGroup` related components and directives
 */
export declare const KENDO_BUTTONGROUP: readonly [typeof ButtonComponent, typeof ButtonGroupComponent];
/**
 * Utility array that contains all `DropDownButton` related components and directives
 */
export declare const KENDO_DROPDOWNBUTTON: readonly [typeof DropDownButtonComponent, typeof ButtonItemTemplateDirective];
/**
 * Utility array that contains all `Chip` related components and directives
 */
export declare const KENDO_CHIP: readonly [typeof ChipComponent];
/**
 * Utility array that contains all `ChipList` related components and directives
 */
export declare const KENDO_CHIPLIST: readonly [typeof ChipComponent, typeof ChipListComponent];
/**
 * Utility array that contains all `FloatingActionButton` related components and directives
 */
export declare const KENDO_FLOATINGACTIONBUTTON: readonly [typeof FloatingActionButtonComponent, typeof DialItemTemplateDirective, typeof FloatingActionButtonTemplateDirective];
/**
 * Utility array that contains all `SplitButton` related components and directives
 */
export declare const KENDO_SPLITBUTTON: readonly [typeof SplitButtonComponent, typeof SplitButtonCustomMessagesComponent, typeof ToggleButtonTabStopDirective, typeof ButtonItemTemplateDirective];
/**
 * Utility array that contains all `@progress/kendo-angular-buttons` related components and directives
 */
export declare const KENDO_BUTTONS: readonly [typeof ButtonComponent, typeof ButtonComponent, typeof ButtonGroupComponent, typeof DropDownButtonComponent, typeof ButtonItemTemplateDirective, typeof ChipComponent, typeof ChipComponent, typeof ChipListComponent, typeof FloatingActionButtonComponent, typeof DialItemTemplateDirective, typeof FloatingActionButtonTemplateDirective, typeof SplitButtonComponent, typeof SplitButtonCustomMessagesComponent, typeof ToggleButtonTabStopDirective, typeof ButtonItemTemplateDirective];
