/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the positionMode of the FloatingActionButton
 * ([see example](slug:positioning_floatingactionbutton#toc-position-mode)).
 *
 * * The possible values are:
 * * `absolute`&mdash;Positions the FloatingActionButton absolutely to its first positioned parent element.
 * * `fixed` (Default)&mdash;Positions the FloatingActionButton relative to the viewport. It always stays in the same place even if the page is scrolled.
 */
export type FabPositionMode = 'absolute' | 'fixed';
